{
  // Use IntelliSense to learn about possible attributes.
  // Hover to view descriptions of existing attributes.
  // For more information, visit: https://go.microsoft.com/fwlink/?linkid=830387
  "version": "0.2.0",
  "configurations": [
    {
      "type": "lldb",
      "request": "launch",
      "name": "Debug executable 'day12'",
      "cargo": {
        "args": [
          "build",
          "--bin=day12",
          "--package=day12"
        ],
        "filter": {
          "kind": "bin"
        }
      },
      "args": ["input.txt"],
      "cwd": "${workspaceFolder}"
    },
    {
      "type": "lldb",
      "request": "launch",
      "name": "Debug unit tests in executable 'day12'",
      "cargo": {
        "args": [
          "test",
          "--no-run",
          "--bin=day12",
          "--package=day12"
        ],
        "filter": {
          "kind": "bin"
        }
      },
      "args": [],
      "cwd": "${workspaceFolder}"
    }
  ]
}